Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057766 - Review Request: clustal-omega - command line tool for multiple sequence alignment
Summary: Review Request: clustal-omega - command line tool for multiple sequence align...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 19:23 UTC by Mukundan Ragavan
Modified: 2014-06-11 21:03 UTC (History)
4 users (show)

Fixed In Version: clustal-omega-1.2.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-29 23:22:49 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mukundan Ragavan 2014-01-24 19:23:01 UTC
Spec URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec
SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.0-1.fc20.src.rpm

Description: 
Clustal Omega is the latest addition to the Clustal family. It offers a significant increase in scalability over previous versions, allowing hundreds of thousands of sequences to be aligned in only a few hours

Fedora Account System Username: nonamedotc



This is my first package and I am requesting someone to sponsor me. Thanks!



rpmlint output - 

clustal-omega.spec: W: invalid-url Source0: clustal-omega-1.2.0.tar.gz
clustal-omega.src: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
clustal-omega.src: W: invalid-url Source0: clustal-omega-1.2.0.tar.gz
clustal-omega.x86_64: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
clustal-omega.x86_64: E: call-to-mktemp /usr/bin/clustalo
clustal-omega.x86_64: W: no-manual-page-for-binary clustalo
clustal-omega-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 1 errors, 6 warnings.

I cannot figure out how to fix call-to-mktemp error.

Comment 1 Mukundan Ragavan 2014-01-24 19:41:57 UTC
Since the package collection maintainers wiki page talked about bonus points, here is my attempt to get bonus points. :)

My build attempt of clustalo at COPR - https://copr.fedoraproject.org/coprs/nonamedotc/Clustal-omega/monitor/

Comment 2 Haïkel Guémar 2014-01-24 20:18:18 UTC
few remarks and easy fixes:
* drop the requires to argtable, as it's a C package, it will be computed by RPM
* only argtable-devem is required as a BR, argtable will be pulled by it anyway
* unless you plan to maintain EPEL5 branch, %defattr is useless (and you'd have to fix other stuff for EPEL5)
* use %{_libdir}

Comment 3 Mukundan Ragavan 2014-01-24 20:31:42 UTC
Thanks Haikel for your comments. 

Updated spec file and source rpm below

SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec

SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.0-1.fc20.src.rpm

rpmlint output - 

clustal-omega.spec: W: invalid-url Source0: clustal-omega-1.2.0.tar.gz
clustal-omega.src: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
clustal-omega.src: W: invalid-url Source0: clustal-omega-1.2.0.tar.gz

1 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 4 Terje Røsten 2014-01-24 20:54:09 UTC
Please provide full url to source tarball.

Why this strangess *after* make install:

install -m 755 -d %{buildroot}/%{_sbindir}

Nice to have:
more explicit file listing.

%description
is a bit cryptic (to me at least).

Update changelog on *every* change.

Please do a koji scratch build.

Comment 5 Mukundan Ragavan 2014-01-24 21:59:22 UTC
Hi Terje

I have made the changes as you have mentioned. Updated spec file and source rpm below.

SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec
SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.0-1.fc20.src.rpm

Also, koji scratch builds - 

against rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6451460
against f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6451501

Please let me know if I should change anything else. Thanks for your comments!

Comment 6 Mukundan Ragavan 2014-02-04 16:16:37 UTC
Updated SPEC and SRPMs below.

SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec

SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.0-1.fc20.src.rpm

$ rpmlint clustal-omega.spec ../SRPMS/clustal-omega-1.2.0-1.fc20.src.rpm 

clustal-omega.src: W: file-size-mismatch clustal-omega-1.2.0.tar.gz = 1160812, http://www.clustal.org/omega/clustal-omega-1.2.0.tar.gz = 1156741
1 packages and 1 specfiles checked; 0 errors, 1 warnings

The reason for the warning above is because I had to fix wrong-file-end-of-line-encoding in the source using sed.
https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

Koji scratch build - http://koji.fedoraproject.org/koji/taskinfo?taskID=6490334

Comment 7 Terje Røsten 2014-02-04 16:43:48 UTC
You must run the sed command in %setup and use unmodified source tarball.

Comment 8 Mukundan Ragavan 2014-02-04 16:49:36 UTC
Ok. That makes more sense! :) Fixed that.

SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec

SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.0-1.fc20.src.rpm

$ rpmlint clustal-omega.spec ../SRPMS/clustal-omega-1.2.0-1.fc20.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 9 Mukundan Ragavan 2014-02-05 23:48:26 UTC
Fixed the mktemp error also by adding a sed line in %setup. Updated SPEC and SRPM below.

SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec

SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.0-1.fc20.src.rpm

Hope this looks good.

Comment 10 Kevin Fenzi 2014-02-08 18:42:25 UTC
Look for a full review later today or tomorrow...

Comment 11 Kevin Fenzi 2014-02-08 20:14:50 UTC
So, looking at this, it looks like it has a bundled copy of a thing called 'squid'. 

http://selab.janelia.org/software.html seems to be the location now. 

You are going to need to unbundle this and package it seperately most likely. 

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Comment 12 Mukundan Ragavan 2014-02-09 00:28:17 UTC
I will look at this right away. Thanks for your comments.

Comment 13 Mukundan Ragavan 2014-02-10 18:16:20 UTC
I checked with the developers about this one - 

They informed me that they have used Squid source code with minor modifications directly in the clustal omega source. So, they mention that it would not be possible to unbundle squid and clustal omega. 

Is there anything I can do here?

Comment 14 Kevin Fenzi 2014-02-10 23:36:19 UTC
Why aren't the minor modifications submitted upstream? 

The fedora packaging comittee would have to rule on it, it's possible they would consider this a 'copylib', ie, a thing people are expected to just copy into their source and modify.

I guess the next step would be approaching the fedora packaging list and asking folks there what they think you can do. IMHO, in order from best outcome to least: 

* Get clustal omega authors to submit their changes to squid and the squid maintainer accepts them. Then you can unbundle squid and have this package use that unbundled squid package. 

* Unbundle squid and apply the clustal omega changes to the unbundled squid. Then, you have to manually balance those against changes in upstream and keep squid working for all packages that use it in Fedora without breaking them. 

* Get squid upstream to state that this is a copy lib, and they expect other people to copy and modify it and they don't want any of the clustal omega changes. Get the FPC to accept this as a copylib. Then you can bundle it.

Comment 15 Mukundan Ragavan 2014-02-10 23:48:44 UTC
I will get in touch with both upstream groups and see what they think about doing the above.

Comment 16 Mukundan Ragavan 2014-03-01 22:31:32 UTC
FPC ticket files requesting bundled library exception.

https://fedorahosted.org/fpc/ticket/399

Comment 17 Mukundan Ragavan 2014-03-13 19:14:01 UTC
FPC has granted exception to bundling squid! Hopefully, there won't be new problems. :)

Updated to the new upstream version.

SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega.spec
SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/clustal-omega/clustal-omega-1.2.1-1.fc20.src.rpm

Comment 18 Mukundan Ragavan 2014-03-14 17:15:46 UTC
Uploaded correct spec file.

Comment 19 Mukundan Ragavan 2014-05-01 19:12:20 UTC
Ping! :)

Comment 20 Kevin Fenzi 2014-05-01 20:54:24 UTC
I'm about to head out on vacation, but can do the review when I get back.

I'm perfectly happy for anyone else to review sooner if they like.

Ping me again late next week?

Comment 21 Mukundan Ragavan 2014-05-01 20:57:07 UTC
Hey Kevin, Absolutely no problems either ways. 

I am in no hurry. I just remembered about this package when I used the clustal yesterday - that's all! :)

If some takes it up for review, great. If not, I will ping again next week. Thanks!

Comment 22 Mukundan Ragavan 2014-05-14 22:44:26 UTC
Ping as discussed! :)

Comment 23 Kevin Fenzi 2014-05-17 18:32:57 UTC
1. Don't own /usr/lib64/pkgconfig

2. I see: "-O3 -O2" in compiler output. Not sure if gcc uses -O3, but 
it shouldn't as -O2 is default. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 63 files have unknown
     license. Detailed output of licensecheck in /home/fedora/kevin/1057766
     -clustal-omega/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/pkgconfig(pkgconfig)
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: clustal-omega-1.2.1-1.fc21.x86_64.rpm
          clustal-omega-devel-1.2.1-1.fc21.x86_64.rpm
          clustal-omega-1.2.1-1.fc21.src.rpm
clustal-omega.x86_64: W: no-manual-page-for-binary clustalo
clustal-omega-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint clustal-omega clustal-omega-devel
clustal-omega.x86_64: W: no-manual-page-for-binary clustalo
clustal-omega-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
clustal-omega (rpmlib, GLIBC filtered):
    libargtable2.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

clustal-omega-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    clustal-omega(x86-64)



Provides
--------
clustal-omega:
    bundled(squid)
    clustal-omega
    clustal-omega(x86-64)

clustal-omega-devel:
    clustal-omega-devel
    clustal-omega-devel(x86-64)
    pkgconfig(clustalo)



Source checksums
----------------
http://www.clustal.org/omega/clustal-omega-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0ef32727aa25c6ecf732083e668a0f45bc17085c28a5c7b4459f4750419f2b0a
  CHECKSUM(SHA256) upstream package : 0ef32727aa25c6ecf732083e668a0f45bc17085c28a5c7b4459f4750419f2b0a


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1057766
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 25 Kevin Fenzi 2014-05-18 16:21:16 UTC
Excellent. That fixes those two issues and I see no further blockers, so this package is APPROVED.

Comment 26 Mukundan Ragavan 2014-05-18 17:18:03 UTC
Thanks Kevin! :)

New Package SCM Request
=======================
Package Name: clustal-omega
Short Description: command line tool for multiple sequence alignment
Upstream URL: http://www.clustal.org/omega
Owners: nonamedotc
Branches: f19 f20

Comment 27 Gwyn Ciesla 2014-05-19 12:04:19 UTC
Git done (by process-git-requests).

Comment 28 Fedora Update System 2014-05-20 13:32:53 UTC
clustal-omega-1.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/clustal-omega-1.2.1-2.fc20

Comment 29 Fedora Update System 2014-05-21 23:29:24 UTC
clustal-omega-1.2.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 30 Fedora Update System 2014-05-29 23:22:49 UTC
clustal-omega-1.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 31 Mukundan Ragavan 2014-06-11 14:28:06 UTC
Package Change Request
======================
Package Name: clustal-omega
New Branches: epel7
Owners: nonamedotc

Comment 32 Gwyn Ciesla 2014-06-11 21:03:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.